File: changelog

package info (click to toggle)
hiki 1.0.0-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid, stretch
  • size: 1,812 kB
  • ctags: 2,033
  • sloc: ruby: 14,572; lisp: 926; sh: 19; makefile: 16
file content (246 lines) | stat: -rw-r--r-- 6,852 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
hiki (1.0.0-2) unstable; urgency=medium

  * Team upload.
  * Remove ruby-imagesize from suggests
  * Update Standards-Version to 3.9.6 (no addtl. changes)
  * Fix duplicate licenses in debian/copyright

 -- Christian Hofstaedtler <zeha@debian.org>  Sun, 28 Jun 2015 01:32:18 +0200

hiki (1.0.0-1) unstable; urgency=medium

  * Team upload.
  * Fix error reporting in hikisetup (Closes: #739277)

 -- Christian Hofstaedtler <zeha@debian.org>  Wed, 08 Apr 2015 14:51:55 +0200

hiki (1.0.0-0.2) unstable; urgency=low

  [ Antonio Terceiro ]
  * Team upload.
    - the Ruby team is bringing this package in.
    - add team email to Uploaders

  [ Jonas Genannt ]
  * Upload to unstable
  * d/control
    - changed homepage
    - changed suggests from librt-ruby1.8 to ruby-rt
    - bumped standards version to 3.9.5 (no changes needed)
    - changed vcs urls to PKG Ruby team git
    - changed ruby to ruby | interpreter (Closes: #735423)
    - removed whitespaces from description
    - updated missing depends docdiff, hikidoc
  * d/copyright
    - update to verion 1.0, added myself
    - fixed typo Locense => License
  * d/rules: do not change interpreter to 1.8
  * d/hikisetup: fixed interpreter call

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Wed, 15 Jan 2014 12:12:50 +0100

hiki (1.0.0-0.1) experimental; urgency=low

  * Non-maintainer upload.
  * New upstream release
  * debian/watch
    - deal with upstream moved to github 
  * debian/control
    - set "Standards-Version: 3.9.4"
  * debian/patches
    - drop: 010_use_ruby1.8, since merged to upstream
    - drop: 020_remove_shebang_from_library, upstream delete file, so it's 
      unnecessary anymore

 -- Hideki Yamane <henrich@debian.org>  Wed, 24 Apr 2013 06:13:38 +0900

hiki (0.8.8.1-3) unstable; urgency=low

  * Change debhelper compat level to 8
  * Follow for Ruby package name transition
  * Change debian source format to '3.0 (quilt)'
  * Remove lintian warnings
    - Add patch: 020_remove_shebang_from_library
  * Force to use ruby1.8
    - Add patch: debian/patches/010_use_ruby1.8

 -- Taku YASUI <tach@debian.org>  Sun, 13 May 2012 15:02:31 +0900

hiki (0.8.8.1-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3
  * Moved repository to svn.debian.org
    - svn://svn.debian.org/svn/collab-maint/deb-maint/hiki

 -- Taku YASUI <tach@debian.org>  Mon, 26 Mar 2012 23:46:40 +0900

hiki (0.8.8.1-1) unstable; urgency=low

  * New upstream release
  * Fix debian/watch to find correct latest release

 -- Taku YASUI <tach@debian.org>  Tue, 22 Sep 2009 13:52:43 +0900

hiki (0.8.8-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch file for new SourceForge.JP release page layout

 -- Taku YASUI <tach@debian.org>  Mon, 10 Aug 2009 00:18:25 +0900

hiki (0.8.7-3) unstable; urgency=low

  * Add debian/watch file

 -- Taku YASUI <tach@debian.org>  Tue, 21 Apr 2009 11:54:04 +0900

hiki (0.8.7-2) unstable; urgency=low

  * Change maintainer email address: tach@debian.org
  * Update debhelper compat version: 7
  * Update Depends: line
    - apache2 instead of apache
  * Update Standards-Version: 3.8.1
  * Add hikisetup manual page
  * New debian/copyright format
    http://wiki.debian.org/Proposals/CopyrightFormat?action=recall&rev=454
  * Fix ruby binary path on script

 -- Taku YASUI <tach@debian.org>  Tue, 21 Apr 2009 03:16:19 +0900

hiki (0.8.7-1) unstable; urgency=high

  * New upstream release
  * [SECURITY] fix unsafe session management
    See http://hikiwiki.org/en/advisory20070624.html for more information
    (closes: #430691)

 -- Taku YASUI <tach@debian.or.jp>  Wed, 27 Jun 2007 11:43:21 +0900

hiki (0.8.6-5) unstable; urgency=low

  * Remove unwanted patch from source package
  * Fix: unable to write page
    (closes: #417570)

 -- Taku YASUI <tach@debian.or.jp>  Tue, 10 Apr 2007 03:07:58 +0900

hiki (0.8.6-4) unstable; urgency=low

  * Make to copy default text files
  * Change default language of hikisetup command to "en"
  * Add more languages to hikisetup language option
  * Update README.Debian (closes: #242918)
  * Fix to run hikisetup correctly (closes: #335484)

 -- Taku YASUI <tach@debian.or.jp>  Sun,  3 Dec 2006 00:06:01 +0900

hiki (0.8.6-3) unstable; urgency=low

  * Fix: orig.tar.gz does not include...

 -- Taku YASUI <tach@debian.or.jp>  Sun,  3 Dec 2006 00:04:03 +0900

hiki (0.8.6-2) unstable; urgency=low

  * Fix: hikisetup does not work correctly.
  * Add --lang option to hikisetup

 -- Taku YASUI <tach@debian.or.jp>  Sat,  2 Dec 2006 23:40:12 +0900

hiki (0.8.6-1) unstable; urgency=high

  * New upstream release
  * Security release for CVE-2006-3379
    (closes: #378059)
  * Change to use cdbs for building

 -- Taku YASUI <tach@debian.or.jp>  Fri, 21 Jul 2006 02:49:13 +0900

hiki (0.8.4-1) unstable; urgency=low

  * New upstream release
  * Add i18n support to hikisetup command
    - --lang option
    - gettextize

 -- Taku YASUI <tach@debian.or.jp>  Thu, 29 Sep 2005 16:43:18 +0900

hiki (0.8.3-1) unstable; urgency=high

  * New upstream release
    - Security fix release (fix cross-site scripting)

 -- Taku YASUI <tach@debian.or.jp>  Fri,  5 Aug 2005 07:43:00 +0900

hiki (0.8.2-1) unstable; urgency=high

  * New upstream release
  * Fix some XSS security vul.

 -- Taku YASUI <tach@debian.or.jp>  Tue,  2 Aug 2005 19:32:21 +0900

hiki (0.6.5-1) unstable; urgency=high

  * New upstrem release - several security fixes
    (closes: #256614)
  * hikisetup fix: Despite enabling help option, setup completed

 -- Taku YASUI <tach@debian.or.jp>  Tue, 29 Jun 2004 01:23:24 +0900

hiki (0.6.4-1) unstable; urgency=high

  * New upstream release
    (closes: #255456)

 -- Taku YASUI <tach@debian.or.jp>  Mon, 21 Jun 2004 15:17:57 +0900

hiki (0.6.3-1) unstable; urgency=high

  * New upstream release

 -- Taku YASUI <tach@debian.or.jp>  Sun, 30 May 2004 20:11:26 +0900

hiki (0.6.2-1) unstable; urgency=low

  * New upstream release
    (closes: #237434)

 -- Taku YASUI <tach@debian.or.jp>  Fri, 19 Mar 2004 18:04:44 +0900

hiki (0.5+20031214-1) experimental; urgency=low

  * New upstream release (cvs snapshot)

 -- Taku YASUI <tach@debian.or.jp>  Sun, 14 Dec 2003 15:21:38 +0900

hiki (0.4.2a-4) unstable; urgency=low

  * More dependency fix
    (closes: #215429)

 -- Taku YASUI <tach@debian.or.jp>  Mon, 13 Oct 2003 21:35:34 +0900

hiki (0.4.2a-3) unstable; urgency=low

  * Fix dependency
    (closes: #212363)
  * Force to use /usr/bin/ruby1.6
    (closes: #212428)

 -- Taku YASUI <tach@debian.or.jp>  Fri, 26 Sep 2003 11:05:16 +0900

hiki (0.4.2a-2) unstable; urgency=low

  * Fix: Cannot execute install.rb
    (closes: #201055)

 -- Taku YASUI <tach@debian.or.jp>  Thu, 17 Jul 2003 10:25:48 +0900

hiki (0.4.2a-1) unstable; urgency=low

  * Initial Release.
    (closes: #199125)

 -- Taku YASUI <tach@debian.or.jp>  Sun,  6 Jul 2003 23:28:18 +0900